--- old/usr/src/man/man7d/usbprn.7d	Sun May 17 10:50:04 2020
+++ new/usr/src/man/man7d/usbprn.7d	Sun May 17 10:50:04 2020
@@ -3,11 +3,10 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH USBPRN 7D "May 13, 2017"
+.TH USBPRN 7D "May 17, 2020"
 .SH NAME
 usbprn \- USB printer class driver
 .SH SYNOPSIS
-.LP
 .nf
 #include <sys/usb/clients/printer/usb_printer.h>
 .fi
@@ -23,7 +22,6 @@
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBusbprn\fR driver is a USBA (Solaris USB Architecture) compliant client
 driver that supports the \fIUSB Printer Class 1.0\fR specification. The
 \fBusbprn\fR driver supports a subset of the \fBecpp\fR(7D) parallel port
@@ -44,7 +42,6 @@
 manufacturer and model information based on the 1284 device id supplied by the
 printer.
 .SS "UGEN (Generic USB)"
-.LP
 The \fBusbprn\fR driver also supports a \fBugen\fR(7D) interface allowing raw
 access to the device, for example by libusb applications, by
 passing the drivers bound to each interface. Because a libusb application might
@@ -51,7 +48,6 @@
 change the state of the device, you should not access the device through the
 child interface drivers.
 .SH DEFAULT OPERATION
-.LP
 With certain minor exceptions (outlined in the Notes sections below), the
 \fBusbprn\fR driver supports a subset of the \fBecpp\fR(7D) ioctl interfaces:
 .sp
@@ -73,7 +69,6 @@
 resets configuration variables with each \fBopen\fR(2).)
 .RE
 .SH WRITE OPERATION
-.LP
 A \fBwrite\fR(2) operation returns the number of bytes successfully written to
 the device. If a failure occurs while a driver is transferring data to printer,
 the contents of the status bits are captured at the time of the error and can
@@ -81,7 +76,6 @@
 call. The captured status information is overwritten each time an
 ECPPIOC_TESTIO \fBioctl\fR(2) occurs.
 .SH IOCTLS
-.LP
 The \fBusbprn\fR driver supports \fBprnio\fR(7I) interfaces. Note that the
 \fBPRNIOC_RESET\fR command has no effect on USB printers.
 .sp
@@ -154,8 +148,6 @@
 will fail. If a transfer will succeed, zero is returned. If a transfer fails,
 the driver returns \fBEIO\fR and the state of the status bits are captured. The
 captured status can be retrieved using the BPPIOC_GETERR \fBioctl\fR(2) call.
-BPPIOC_TESTIO and BPPIOC_GETERR are compatible to the ioctls specified in
-\fBbpp\fR(7D).
 .LP
 Note -
 .sp
@@ -243,7 +235,6 @@
 .RE
 
 .SH READ OPERATION
-.LP
 The \fBread\fR operation is not supported and returns \fBEIO\fR.
 .SH ERRORS
 .ne 2
@@ -354,7 +345,6 @@
 .RE
 
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -369,10 +359,9 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBcfgadm_usb\fR(1M), \fBprintmgr\fR(1M), \fBioctl\fR(2), \fBopen\fR(2),
 \fBread\fR(2), \fBwrite\fR(2), \fBattributes\fR(5),
-\fBbpp\fR(7D), \fBecpp\fR(7D), \fBugen\fR(7D), \fBusba\fR(7D), \fBprnio\fR(7I),
+\fBecpp\fR(7D), \fBugen\fR(7D), \fBusba\fR(7D), \fBprnio\fR(7I),
 \fBattach\fR(9E)
 .sp
 .LP
@@ -387,7 +376,6 @@
 .LP
 \fISystem Administration Guide: Basic Administration\fR
 .SH DIAGNOSTICS
-.LP
 In addition to being logged, the following messages may appear on the system
 console. All messages are formatted in the following manner:
 .sp
@@ -446,7 +434,6 @@
 .RE
 
 .SH NOTES
-.LP
 The USB printer will be power managed if the device is closed.
 .sp
 .LP
